Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7776/?format=api
{ "ob_id": 7776, "uuid": "f3d2c9b53e34271de53e3a3802cc6689", "title": "ACCACIA: Met Office UM Model output", "abstract": "ACCACIA was part of the NERC Arctic research programme. (NERC Reference: NE/I028858/1). ACCACIA aimed to improve our understanding of aerosol-cloud interactions in the Arctic, and the potential changes and feedbacks that may result from decreasing Arctic sea ice cover in the future. In situ measurements have been made during two field campaigns utilising ship-based measurements of surface aerosol sources and airborne measurements of aerosol and cloud microphysical properties, boundary layer dynamics, and radiative forcing. The observations have been complemented by modelling studies on a range of scales: from explicit aerosol and cloud microphysics process modelling, through large eddy simulation and mesoscale models, up to global climate models.\r\n\r\nThis dataset contains measurements from the Met Office UM (Unified Model) model.", "keywords": "ACCACIA, Unified Model, UM, Met Office", "publicationState": "published", "dataPublishedTime": "2014-09-10T16:39:37", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/7777/?format=api", "dataPath": "/badc/accacia/data/metoffice-um", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 413626657056, "numberOfFiles": 668, "fileFormat": "Data are PP formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3555/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/935/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project participants before delivery for archiving at the British Atmospheric Data Centre.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5037/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8511/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12286/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7773/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50085/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32206/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32203/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32202/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32208/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32205/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32207/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32204/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/7778/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }